Description: Fix the oauth import to work correctly with the
 python-oauth Debian package.
Forwarded: not-needed
Author: Michael Ziegler <diese-addy@funzt-halt.net>

Index: python-django-piston-0.2.3/piston/authentication.py
===================================================================
--- python-django-piston-0.2.3.orig/piston/authentication.py	2011-11-01 14:52:13.000000000 +0100
+++ python-django-piston-0.2.3/piston/authentication.py	2011-11-12 13:50:23.899726540 +0100
@@ -1,6 +1,6 @@
 import binascii
 
-import oauth
+from oauth import oauth
 from django.http import HttpResponse, HttpResponseRedirect
 from django.contrib.auth.models import User, AnonymousUser
 from django.contrib.auth.decorators import login_required
Index: python-django-piston-0.2.3/piston/store.py
===================================================================
--- python-django-piston-0.2.3.orig/piston/store.py	2011-11-01 14:52:13.000000000 +0100
+++ python-django-piston-0.2.3/piston/store.py	2011-11-12 13:50:23.900726539 +0100
@@ -1,4 +1,4 @@
-import oauth
+from oauth import oauth
 
 from models import Nonce, Token, Consumer
 from models import generate_random, VERIFIER_SIZE
